Skip to main content
POST
Accept a CPA offer

Authorizations

Authorization
string
header
required

An Account API key, an App API key, an account access token, an account-scoped user token, or a user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************. See Auth & API keys for how to get each one.

Headers

Idempotency-Key
string

A unique key that makes this request safe to retry. See Idempotent requests.

Maximum string length: 255
Example:

"d9105228-4a08-46b1-8b91-42fed586d383"

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-10-13-1"

Path Parameters

id
string
required

The referred business relationship ID.

Body

application/json
acknowledgments
enum<string>[]
required
Available options:
commission_replacement,
clawback,
term
Example:
expected_amount_usd
string
required

Reviewed payment amount in USD.

Example:

"1439.99"

offer_token
string
required

Signed offer token returned by the partner business response. Requires partner:commission_advance:accept permission to retrieve.

Example:

"eyJfcmFpbHMiOnsiZGF0YSI6MSwicHVyIjoiYmxvYl9pZCJ9fQ==--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"

terms_version
string
required

Reviewed CPA terms version.

Example:

"2026-01-01"

Response

CPA offer accepted

commission_advance
object
required
id
string
required

The referred business relationship ID.

Example:

"coma_xxxxxxxxxxxxxx"